- Main Page
- Packages
- Classes
- Files
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# smjg.libs.sdwf.gdiobject.PaletteEntry Union Reference

The smjg.libs.sdwf.gdiobject.PaletteEntry union is a wrapper around the Windows API `PALETTEENTRY` data type. More...

List of all members.

## Public Member Functions
Properties
RGBColour | colour ()
| The colour of this palette entry.
RGBColour | colour (RGBColour c)
| The colour of this palette entry.
## Static Public Member Functions
Pseudo-Constructors
static PaletteEntry | opCall (RGBColour colour, PC flag=PC.NORMAL)
| Constructs a new PaletteEntry from an RGBColour.
static PaletteEntry | opCall (ushort index)
| Constructs a new PaletteEntry with an explicit hardware palette index.
## Public Attributes
ushort | hardwareIndex
| The hardware palette index, if the PC.EXPLICIT flag is set.
PALETTEENTRY | pe
| The palette entry as an API PALETTEENTRY structure.
ubyte | red
ubyte | green
ubyte | blue
PC | flags
| Flags specifying characteristics of this palette entry.

## Detailed Description

The smjg.libs.sdwf.gdiobject.PaletteEntry union is a wrapper around the Windows API `PALETTEENTRY` data type.

Since:
  0.3

Status:
  test

## Member Function Documentation

static PaletteEntry smjg.libs.sdwf.gdiobject.PaletteEntry.opCall | ( | RGBColour | colour,
|  | PC | flag = `PC.NORMAL` |
| ) |  |  | `[static]`

Constructs a new PaletteEntry from an RGBColour.

Parameters:

  | colour | colour that is the palette entry.
  | flag | flags applying to the entry.

Returns:
  PaletteEntry object in the specified colour.

Status:
  done

static PaletteEntry smjg.libs.sdwf.gdiobject.PaletteEntry.opCall | ( | ushort | index | ) | `[static]`

Constructs a new PaletteEntry with an explicit hardware palette index.

Parameters:

  | index | hardware palette index.

Returns:
  PaletteEntry object for the specified index.

RGBColour smjg.libs.sdwf.gdiobject.PaletteEntry.colour | ( |  | ) |

The colour of this palette entry.

Precondition:
  It is illegal to access this property if the PC.EXPLICIT flag is specified.

Status:
  done

RGBColour smjg.libs.sdwf.gdiobject.PaletteEntry.colour | ( | RGBColour | c | ) |

The colour of this palette entry.

Precondition:
  It is illegal to access this property if the PC.EXPLICIT flag is specified.

## Member Data Documentation

ubyte smjg.libs.sdwf.gdiobject.PaletteEntry.red

ubyte smjg.libs.sdwf.gdiobject.PaletteEntry.green

ubyte smjg.libs.sdwf.gdiobject.PaletteEntry.blue

PC smjg.libs.sdwf.gdiobject.PaletteEntry.flags

Flags specifying characteristics of this palette entry.

ushort smjg.libs.sdwf.gdiobject.PaletteEntry.hardwareIndex

The hardware palette index, if the PC.EXPLICIT flag is set.

PALETTEENTRY smjg.libs.sdwf.gdiobject.PaletteEntry.pe

The palette entry as an API PALETTEENTRY structure.

The documentation for this union was generated from the following file:

- gdiobject.d